Retrieve HTTP logs - Fluid Topics - Latest

Fluid Topics API Reference Guide

Category
Reference Guides
Audience
public
Version
Latest

This web service retrieves analytics HTTP logs.

It is necessary to provide an Ft-Calling-App value when using Fluid Topics web services.

This web service returns a list of logs generated by users or API calls.

Method Endpoint
POST
/analytics/api/v1/logs

Request example

The following example shows a JSON request body for this web service:

{
  "startDate": "2025-01-01",
  "endDate": "2025-01-02",
  "paging": {
    "page": 1,
    "perPage": 1
  },
  "sortOrder": "latestFirst"
}
Field Type Required? Description
startDate String Yes The inclusive start date of the period. Its format can be YYYY-mm-dd, YYYY-mm-ddTHH:MM or YYYY-mm-ddTHH:MM:SS. For more information about date and time formats, see Timestamps.
The value must be within the analytics data retention period.
endDate String No The exclusive end date of the period. Must be later than the startDate. If not provided, its value is the GMT date and time of the request. Its format can be YYYY-MM-DD, YYYY-MM-DDTHH:MM or YYYY-MM-DDTHH:MM:SS. For more information about date and time formats, see Timestamps. It is mandatory to keep the end date within 24 hours of the start date.
The value must be within the analytics data retention period.
paging Object No An object to apply paging to the results.
page Number Yes The page to display. Starts at one. Required if using the paging parameter.
perPage Number Yes The number of results to display per page. Required if using the paging parameter.
sortOrder String No The order of results. Accepted values are LatestFirst and OldestFirst.

Response body

The following example shows a JSON response body for this web service:

{
  "startDate": "2026-07-28T00:00:00",
  "endDate": "2026-07-28T14:02:41",
  "paging": {
    "page": 1,
    "perPage": 1,
    "totalCount": 236331,
    "lastPage": false
  },
  "results": [
    {
      "apiCategory": "OTHER",
      "apiKey": false,
      "browser": {
        "family": "Chrome",
        "major": "150",
        "minor": "0"
      },
      "callingApp": "",
      "callingAppVersion": "",
      "clientIp": "1.2.3.4",
      "datetime": 1785196801448,
      "durationMs": 0,
      "endpoint": "/tenant/api/stylesheets/theme.css",
      "host": "docs.fluidtopics.com",
      "id": "b29f775e-622e-4d8f-a2e0-f16ba72fb235",
      "location": {
        "code": "IN",
        "name": "India"
      },
      "method": "GET",
      "path": "/tenant/api/stylesheets/theme.css",
      "status": 304,
      "tenantId": "documentation-docft-stable",
      "userAgent": "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/150.0.0.0 Safari/537.36",
      "userId": "",
      "userRealm": "",
      "os": {
        "family": "Windows",
        "major": "10"
      },
      "bot": false
    }
  ]
}
Field Type Description
startDate String The inclusive start date of the period.
endDate String The exclusive end date of the period. For information about date and time formats, see Timestamps.
paging Object An optional element that applies paging to the results.
page Number The current page of results.
perPage Number The number of results per page.
totalCount Number The total number of results in all pages.
lastPage Boolean Value is true if the current page is the last page.
results Array The list of all results in the specified page.
apiCategory String The category of the called API.
apiKey Boolean Whether the called was made using an API key or not.
browser Object The information about the browser used for the query.
family String The browser's family (for example, Google Chrome).
major String The major version of the browser.
minor String The minor version of the browser.
callingApp String The name of the application making the call (if provided).
callingAppVersion String The version of the application making the call (if provided).
clientIp String The IP of the user making the call.
datetime Number The millisecond timestamp of the call.
durationMs Number The duration in millisecond of the query.
endpoint String The parameterized endpoint called.
host String The targeted host used to make the query.
id String The unique identifier of this log.
location Object The information about the location where the request originated from.
code String The code of the country where the request originated from.
name String The name of the country where the request originated from.
method String The HTTP method used.
path String The exact path requested by the caller.
status Number The HTTP status returned for the request.
tenantId String The tenantId associated to the query.
userAgent String The user agent of the caller.
userId String The id of the user making the query (if authenticated). Can be the name of the API key if one was used.
userRealm String The realm from which the user authenticated.
os Object The information about the OS of the caller.
family String The type of OS (for example, Windows).
major String The major version of the OS.
bot Boolean Whether the query came from a bot or not.
Return code Description
200 OK Returns data in JSON format.